module StoreCurrentUser
  class Railtie < Rails::Railtie
    ActiveSupport.on_load :active_record do
      extend StoreCurrentUser
    end

    ActiveSupport.on_load :action_controller do
      extend StoreCurrentUser::ControllerMethods::ClassMethods
      include StoreCurrentUser::ControllerMethods::InstanceMethods
    end
  end
end